﻿using System;
using Prism.Ioc;
using Borepin.PageModel;
using Borepin.Page;
using Xamarin.Forms;
using Borepin.Service;

namespace Borepin
{
    public partial class App
    {
        public App()
        {

        }

        protected override async void OnInitialized()
        {
            InitializeComponent();

            var result = await NavigationService.NavigateAsync("//NavigationPage/HostSelectPage");

            if (!result.Success)
            {
                System.Diagnostics.Debugger.Break();
            }
        }

        protected override void RegisterTypes(IContainerRegistry containerRegistry)
        {
            containerRegistry.RegisterForNavigation<NavigationPage>();
            containerRegistry.RegisterForNavigation<MainPage, MainPagePageModel>();
            containerRegistry.RegisterForNavigation<MachinesPage, MachinesPageModel>();
            containerRegistry.RegisterForNavigation<SettingsPage>();
            containerRegistry.RegisterForNavigation<MachinePage, MachinePageModel>();
            containerRegistry.RegisterForNavigation<LoginPasswordPage, LoginPasswordPageModel>();
            containerRegistry.RegisterForNavigation<HostSelectPage, HostSelectPageModel>();
            containerRegistry.RegisterForNavigation<LoginChoosePage, LoginChoosePageModel>();
        }
    }
}
